com.tibco.datagrid

## Interface TableMetadata

-     public interface TableMetadata

  A table metadata object contains information about a specific table in the data grid. This information includes column names, column types, index names, etc.

  To create a TableMetadata object, call `GridMetadata.getTableMetadata`.

  This interface is implemented internally. Applications do not implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getColumnNames()` Get the array of column name strings from the table metadata object.
    `ColumnType` | `getColumnType(java.lang.String columnName)` Get the column type from the table metadata object for a particular column name.
    `long` | `getDefaultTTL()` Get the default TTL for rows in the table from the table metadata object.
    `java.lang.String[]` | `getIndexColumnNames(java.lang.String indexName)` Get the array of column name strings used when a particular index was created.
    `java.lang.String[]` | `getIndexNames()` Get the array of index name strings from the table metadata object.
    `java.lang.String` | `getName()` Get the name of the table from the table metadata object.
    `java.lang.String` | `getPrimaryIndexName()` Get the primary index name of the table from the table metadata object.

- - ### Method Detail

    - #### getName

          java.lang.String getName()
                            throws DataGridException

      Get the name of the table from the table metadata object.

      Returns:
        a table name string
      Throws:
        `DataGridException` - in case of failures

    - #### getDefaultTTL

          long getDefaultTTL()
                      throws DataGridException

      Get the default TTL for rows in the table from the table metadata object.

      If the default TTL is zero, that means rows never expire.

      Returns:
        a value (in seconds) for how long a row will exist in the table before it expires
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnNames

          java.lang.String[] getColumnNames()
                                     throws DataGridException

      Get the array of column name strings from the table metadata object.

      Returns:
        an array of column name strings
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnType

          ColumnType getColumnType(java.lang.String columnName)
                            throws DataGridException

      Get the column type from the table metadata object for a particular column name.

      Parameters:
        `columnName` - The column name to get the column type.
      Returns:
        `ColumnType`
      Throws:
        `DataGridException` - in case of failures

    - #### getIndexNames

          java.lang.String[] getIndexNames()
                                    throws DataGridException

      Get the array of index name strings from the table metadata object.

      Returns:
        an array of index name strings
      Throws:
        `DataGridException` - in case of failures

    - #### getIndexColumnNames

          java.lang.String[] getIndexColumnNames(java.lang.String indexName)
                                          throws DataGridException

      Get the array of column name strings used when a particular index was created.

      Parameters:
        `indexName` - The name of the index to get the column names.
      Returns:
        an array of index column name strings
      Throws:
        `DataGridException` - in case of failures

    - #### getPrimaryIndexName

          java.lang.String getPrimaryIndexName()
                                        throws DataGridException

      Get the primary index name of the table from the table metadata object.

      Returns:
        the primary index name string
      Throws:
        `DataGridException` - in case of failures